#include <bits/stdc++.h>
typedef long long LL;

const int MAXN = ;
int ;

int Read()
{
	int sum = 0, fh = 1; char ch = getchar();
	for (; ch < '0' || ch > '9'; ch = getchar()) fh -= (ch == '-') << 1;
	for (; ch >= '0' && ch <= '9'; ch = getchar()) sum = (sum << 3) + (sum << 1) + (ch ^ 48);
	return sum * fh;
}

int main()
{
	freopen(".in", "r", stdin); freopen(".out", "w", stdout);
}